osg::State::ModeStack Struct Reference

`#include <State>`

## Public Types

typedef std::vector< StateAttribute::GLModeValue > | ValueVec

## Public Member Functions

| ModeStack ()
void | print (std::ostream &fout) const

## Public Attributes

bool | valid
bool | changed
bool | last_applied_value
bool | global_default_value
ValueVec | valueVec

## Member Typedef Documentation

## ValueVec

typedef std::vector<StateAttribute::GLModeValue> osg::State::ModeStack::ValueVec

## Constructor & Destructor Documentation

## ModeStack()

osg::State::ModeStack::ModeStack | ( |  | ) |

inline

References changed, global_default_value, last_applied_value, and valid.

## Member Function Documentation

## print()

void osg::State::ModeStack::print | ( | std::ostream & | fout | ) | const

## Member Data Documentation

## changed

bool osg::State::ModeStack::changed

Referenced by osg::State::applyMode(), osg::State::applyModeList(), osg::State::applyModeListOnTexUnit(), osg::State::applyModeMap(), osg::State::applyModeMapOnTexUnit(), osg::State::applyTextureMode(), ModeStack(), osg::State::popModeList(), and osg::State::pushModeList().

## global_default_value

bool osg::State::ModeStack::global_default_value

Referenced by osg::State::applyModeList(), osg::State::applyModeListOnTexUnit(), osg::State::applyModeMap(), osg::State::applyModeMapOnTexUnit(), osg::State::getGlobalDefaultTextureModeValue(), ModeStack(), osg::State::setGlobalDefaultModeValue(), and osg::State::setGlobalDefaultTextureModeValue().

## last_applied_value

bool osg::State::ModeStack::last_applied_value

Referenced by osg::State::applyMode(), osg::State::applyModeOnTexUnit(), osg::State::getLastAppliedTextureModeValue(), and ModeStack().

## valid

bool osg::State::ModeStack::valid

Referenced by osg::State::applyMode(), osg::State::applyModeOnTexUnit(), osg::State::getModeValidity(), ModeStack(), and osg::State::setModeValidity().

## valueVec

ValueVec osg::State::ModeStack::valueVec

Referenced by osg::State::applyModeList(), osg::State::applyModeListOnTexUnit(), osg::State::applyModeMap(), osg::State::applyModeMapOnTexUnit(), osg::State::popModeList(), and osg::State::pushModeList().

The documentation for this struct was generated from the following file:

- State